Public Member Functions | Protected Attributes | Related Functions

# Clutter::Perspective Class Reference

List of all members.

## Public Member Functions
| Perspective ()
| Perspective (const ClutterPerspective* gobject)
ClutterPerspective* | gobj ()
| Provides access to the underlying C instance.
const ClutterPerspective* | gobj () const
| Provides access to the underlying C instance.
| Perspective (Cogl::Fixed fovy, Cogl::Fixed aspect, Cogl::Fixed z_near, Cogl::Fixed z_far)
Cogl::Fixed | get_fovy () const
void | set_fovy (const Cogl::Fixed&value)
Cogl::Fixed | get_aspect () const
void | set_aspect (const Cogl::Fixed&value)
Cogl::Fixed | get_z_near () const
void | set_z_near (const Cogl::Fixed&value)
Cogl::Fixed | get_z_far () const
void | set_z_far (const Cogl::Fixed&value)
## Protected Attributes
ClutterPerspective | gobject_
## Related Functions
(Note that these are not member functions.)
Clutter::Perspective& | wrap (ClutterPerspective* object)
const Clutter::Perspective& | wrap (const ClutterPerspective* object)

## Constructor & Destructor Documentation

Clutter::Perspective::Perspective | ( |  | ) |

Clutter::Perspective::Perspective | ( | const ClutterPerspective * | gobject | ) | `[explicit]`

Clutter::Perspective::Perspective | ( | Cogl::Fixed | fovy,
|  | Cogl::Fixed | aspect,
|  | Cogl::Fixed | z_near,
|  | Cogl::Fixed | z_far |
| ) |  |  |

## Member Function Documentation

Cogl::Fixed Clutter::Perspective::get_aspect | ( |  | ) | const

Cogl::Fixed Clutter::Perspective::get_fovy | ( |  | ) | const

Cogl::Fixed Clutter::Perspective::get_z_far | ( |  | ) | const

Cogl::Fixed Clutter::Perspective::get_z_near | ( |  | ) | const

const ClutterPerspective* Clutter::Perspective::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C instance.

ClutterPerspective* Clutter::Perspective::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C instance.

void Clutter::Perspective::set_aspect | ( | const Cogl::Fixed& | value | ) |

void Clutter::Perspective::set_fovy | ( | const Cogl::Fixed& | value | ) |

void Clutter::Perspective::set_z_far | ( | const Cogl::Fixed& | value | ) |

void Clutter::Perspective::set_z_near | ( | const Cogl::Fixed& | value | ) |

## Friends And Related Function Documentation

Clutter::Perspective& wrap | ( | ClutterPerspective * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

const Clutter::Perspective& wrap | ( | const ClutterPerspective * | object | ) | `[related]`

Parameters:

  | object | The C instance

Returns:
  A C++ instance that wraps this C instance.

## Member Data Documentation

ClutterPerspective Clutter::Perspective::gobject_`[protected]`

The documentation for this class was generated from the following file:

- cluttermm/stage.h